=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=coreboot/seabios \
.*=seabios(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
