## seabios 1.9.3

=== debian/changelog ===
seabios (1.9.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Required for qemu-system-x86 >= 1:2.7 (ie qemu in jessie-backports)
  * Add myself as uploader

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 16 Nov 2016 15:12:25 +0100

seabios (1.9.3-2) unstable; urgency=medium

  * build-add-fno-pie-to-the-gcc-flags-when-available.patch
    patch from upstream to disable pie code which is now enabled
    by default on Debian and makes seabios FTBFS (Closes: #841546)
  * also enable -fno-pie for optionrom

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 25 Oct 2016 20:07:09 +0300

seabios (1.9.3-1) unstable; urgency=medium

  * update optionrom files from qemu-2.7.
    This includes optionrom_dma.bin
  * update to new upstream (1.9.3) release (Closes: #841985)
  * strip a few new features from seabios-128k (Closes: #800429)
    remove stale comment in there (Closes: #800426)
  * update Standards-Version to 3.9.8 (no changes needed)
  * update debhelper compat level to 9

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 25 Oct 2016 13:58:43 +0300
