=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: seabios
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>,
 	Riku Voipio <riku.voipio@iki.fi>,
 	Vagrant Cascadian <vagrant@debian.org>,
-	Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>= 7), python, acpica-tools | iasl
-Standards-Version: 3.9.6
+	Michael Tokarev <mjt@tls.msk.ru>,
+	Vincent Danjean <vdanjean@debian.org>
+Build-Depends: debhelper (>= 9), python, acpica-tools | iasl
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/seabios.git
 Vcs-Git: git://anonscm.debian.org/pkg-qemu/seabios.git
 Homepage: http://www.seabios.org
