## seabios 1.10.1

=== debian/changelog ===
seabios (1.10.1-1ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 03 Feb 2017 14:10:23 +0000

seabios (1.10.1-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable (LP: #1655792). Remaining changes:
    - Build with -fgnu89-inline for GCC 5 (doko)
    - Turn off VGA_ALLOCATE_EXTRA_STACK (LP #1404396)
  * Drop:
    - debian/patches/makefile_disable_pie.patch: Properly disable PIE
      builds.  Closes LP #1628714.
    [ Fixed in Debian ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 11 Jan 2017 16:32:32 -0800

seabios (1.10.1-1) unstable; urgency=medium

  * new upstream release
  * ensure no shipped firmware blobs are used, so that all
    iasl sources are being built during package build
  * disable BOOTSPLASH code for 128k (Closes: #846686)
  * pass EXTRAVERSION to upstream make (Closes: #842203)
  * verify that .git does not exist and .version exists,
    to build version info in a reliable way

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 26 Dec 2016 23:43:43 +0300

seabios (1.8.2-1ubuntu2) yakkety; urgency=medium

  * debian/patches/makefile_disable_pie.patch: Properly disable PIE
    builds.  Closes LP: #1628714.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 28 Sep 2016 16:38:35 -0700
