## seabios 1.10.2

=== debian/changelog ===
seabios (1.10.2-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Build with -fgnu89-inline for GCC 5 (doko)
    - Turn off VGA_ALLOCATE_EXTRA_STACK (LP #1404396)

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 03 May 2017 15:49:08 -0700

seabios (1.10.2-1) unstable; urgency=medium

  * new upstream stable/bugfix release,
    required for qemu 2.8.1+ due to ahci changes,
    plus fixes for guest resume from S3
    and ps/2 keyboard/mouse handling

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 03 Apr 2017 13:47:29 +0300
