=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
-include /usr/share/dpkg/vendor.mk
-VERSION = $(DEB_VENDOR)-$(DEB_VERSION)
+dpkg_late_eval ?= $(or $(value DPKG_CACHE_$(1)),$(eval DPKG_CACHE_$(1) := $(shell $(2)))$(value DPKG_CACHE_$(1)))
+DEB_VERSION = $(call dpkg_late_eval,DEB_VERSION,dpkg-parsechangelog -SVersion)
+# everything after last minus sign
+DEB_VERSION_RELEASE = $(call dpkg_late_eval,DEB_VERSION_RELEASE,echo '$(DEB_VERSION)' | sed -e 's/^.*-//')
 
 VGABIOSES = cirrus stdvga virtio vmware qxl isavga
 VGABIOS_TARGETS = $(addprefix build/vgabios-, $(addsuffix .bin, $(VGABIOSES)))
-BUILD_TARGETS = build/bios.bin build/bios-256k.bin \
-		$(VGABIOS_TARGETS) build/optionrom-stamp
+BIOS_TARGETS = build/bios.bin build/bios-256k.bin ${VGABIOS_TARGETS}
+BUILD_TARGETS = $(BIOS_TARGETS) build/optionrom-stamp
 
 build build-arch build-indep: $(BUILD_TARGETS)
 
@@ -32,15 +33,33 @@
  done > $$d/.config; \
  $(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ oldnoconfig; \
 fi; \
-$(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ VERSION="${VERSION}" $$d/$1.bin; \
+$(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ EXTRAVERSION="-${DEB_VERSION_RELEASE}" $$d/$1.bin; \
 rm -f $@; ln $$d/$1.bin $@
 endef
 
 build/bios.bin:
 # A stripped-down version of bios, to fit in 128Kb, for qemu <= 1.7
-	$(call build-bios,bios,QEMU=y ROM_SIZE=128 PVSCSI=n USB_XHCI=n USB_UAS=n XEN=n SDCARD=n TCGBIOS=n MPT_SCSI=n)
+	$(call build-bios,bios,QEMU=y ROM_SIZE=128 PVSCSI=n BOOTSPLASH=n USB_XHCI=n USB_UAS=n XEN=n SDCARD=n TCGBIOS=n MPT_SCSI=n)
 build/bios-256k.bin:
 	$(call build-bios,bios,QEMU=y ROM_SIZE=256)
+
+# upstream ships .hex files in tarball, result of iasl compilation
+# ensure it is actually built during build
+FWS = acpi-dsdt q35-acpi-dsdt ssdt-misc ssdt-pcihp ssdt-proc
+FW_FILES = $(addsuffix .hex,$(addprefix src/fw/,${FWS}))
+
+${BIOS_TARGETS}: build/env-stamp
+build/env-stamp:
+# upstream checks for .git and .version in scripts/buildversion.py
+# .version comes in upstream tarball, and .git should not be there
+	[ ! -d .git ] || { echo "Directory .git exists, aborting" >&2; exit 1; }
+	[ -f .version ] || echo ${DEB_VERSION} | sed 's/-.*//' > .version
+# move out shipped .hex files and rebuild them
+	mkdir -p build/src/fw
+	for f in ${FW_FILES}; do [ -f $$f.sav -o ! -f $$f ] || mv $$f $$f.sav; done
+	rm -f ${FW_FILES}
+	make OUT=build/ ${FW_FILES}
+	touch $@
 
 build/vgabios-cirrus.bin:
 	$(call build-bios,vgabios,BUILD_VGABIOS=y VGA_CIRRUS=y VGA_PCI=y)
@@ -68,6 +87,9 @@
 	dh_testdir
 	rm -rf build/
 	rm -f scripts/*pyc
+	for f in src/fw/*.hex.sav; do [ ! -f $$f ] || mv -f $$f $${f%.sav}; done
+# one file isn't shipped by upstream
+	rm -f src/fw/q35-acpi-dsdt.hex
 	$(MAKE) -C debian/optionrom/ clean
 	dh_clean
