## seabios 1.11.1

=== debian/changelog ===
seabios (1.11.1-1ubuntu1) cosmic; urgency=medium

  * d/p/lp-1793725-Fix-building-of-legacy-acpi-tables.patch:
    avoid FTBFS due to newer IASL toolchain generating no more
    8 char abbreviated table names. Shorten the predefined names
    to match and fix the build issue (LP: #1793725)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 21 Sep 2018 13:22:40 +0200

seabios (1.11.1-1) unstable; urgency=medium

  * new upstream release
  * disable more (new) options for seabios-128k config
  * always enable CONFIG_QEMU
  * enable parallel build
  * change Priority from extra to optional
  * remove old Breaks for qemu < 0.14

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 10 Apr 2018 11:00:47 +0300
