=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: seabios
 Section: misc
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>,
 	Riku Voipio <riku.voipio@iki.fi>,
 	Vagrant Cascadian <vagrant@debian.org>,
@@ -17,7 +16,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: qemu-system (<< 0.14.0), qemu-kvm (<< 0.14.0)
 Description: Legacy BIOS implementation
  SeaBIOS is a legacy BIOS implementation, aimed at supporting not only
  emulated hosts such as QEMU, but also real hardware.
