=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,16 @@
 # $2: config options to put into .config without CONFIG_ prefix
 # $@: where to put output; build dir will be $(basename $@)
 define build-bios
-set -e; d=$(basename $@); \
++set -e; d=$(basename $@); \
 if [ ! -e $$d/.config.old ]; then \
  rm -rf $$d; mkdir -p $$d; \
- for x in $2; do \
+ for x in QEMU=y $2; do \
   case $$x in \
    (*=n) echo "# CONFIG_$${x%=*} is not set";; \
    (*) echo CONFIG_$$x;; \
   esac; \
  done > $$d/.config; \
- $(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ oldnoconfig; \
+ $(MAKE) -j1 KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ oldnoconfig; \
 fi; \
 $(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ EXTRAVERSION="-${DEB_VERSION_RELEASE}" $$d/$1.bin; \
 rm -f $@; ln $$d/$1.bin $@
@@ -39,7 +39,7 @@
 
 build/bios.bin:
 # A stripped-down version of bios, to fit in 128Kb, for qemu <= 1.7
-	$(call build-bios,bios,QEMU=y ROM_SIZE=128 PVSCSI=n BOOTSPLASH=n USB_XHCI=n USB_UAS=n XEN=n SDCARD=n TCGBIOS=n MPT_SCSI=n)
+	$(call build-bios,bios,QEMU=y ROM_SIZE=128 PVSCSI=n BOOTSPLASH=n USB_OHCI=n USB_XHCI=n USB_UAS=n XEN=n SDCARD=n TCGBIOS=n MPT_SCSI=n PVSCSI=n NVME=n USE_SMM=n VGAHOOKS=n)
 build/bios-256k.bin:
 	$(call build-bios,bios,QEMU=y ROM_SIZE=256)
