=== debian/changelog ===
seabios (1.12.0-1) unstable; urgency=medium

  * new upstream release
    Closes: #901462
  * do not move away .hex files, just remove them (Closes: #901547)
  * update d/watch to point to https://www.seabios.org/downloads/
  * d/rules: update bios build options (remove more stuff for 128k)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Dec 2018 21:06:17 +0300
