=== debian/control ===
Source: seabios
Section: misc
Priority: extra
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>,
	Riku Voipio <riku.voipio@iki.fi>,
	Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 9), python, acpica-tools | iasl
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/qemu-team/seabios
Vcs-Git: https://salsa.debian.org/qemu-team/seabios.git
Homepage: http://www.seabios.org

Package: seabios
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qemu-system (<< 0.14.0), qemu-kvm (<< 0.14.0)
Description: Legacy BIOS implementation
 SeaBIOS is a legacy BIOS implementation, aimed at supporting not only
 emulated hosts such as QEMU, but also real hardware.
 .
 Note, however, that SeaBIOS does not handle early initialization of core
 chipsets, so don't even think of flashing it to your board (look at
 Coreboot for that).
