=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,16 @@
 # $2: config options to put into .config without CONFIG_ prefix
 # $@: where to put output; build dir will be $(basename $@)
 define build-bios
-+set -e; d=$(basename $@); \
+set -e; d=$(basename $@); \
 if [ ! -e $$d/.config.old ]; then \
  rm -rf $$d; mkdir -p $$d; \
- for x in QEMU=y $2; do \
+ for x in $2; do \
   case $$x in \
    (*=n) echo "# CONFIG_$${x%=*} is not set";; \
    (*) echo CONFIG_$$x;; \
   esac; \
  done > $$d/.config; \
- $(MAKE) -j1 KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ oldnoconfig; \
+ $(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ oldnoconfig; \
 fi; \
 $(MAKE) KCONFIG_CONFIG=$(CURDIR)/$$d/.config OUT=$$d/ EXTRAVERSION="-${DEB_VERSION_RELEASE}" $$d/$1.bin; \
 rm -f $@; ln $$d/$1.bin $@
@@ -39,9 +39,9 @@
 
 build/bios.bin:
 # A stripped-down version of bios, to fit in 128Kb, for qemu <= 1.7
-	$(call build-bios,bios,QEMU=y ROM_SIZE=128 PVSCSI=n BOOTSPLASH=n USB_OHCI=n USB_XHCI=n USB_UAS=n XEN=n SDCARD=n TCGBIOS=n MPT_SCSI=n PVSCSI=n NVME=n USE_SMM=n VGAHOOKS=n)
+	$(call build-bios,bios,QEMU=y ROM_SIZE=128 ATA_DMA=y PVSCSI=n BOOTSPLASH=n XEN=n USB_OHCI=n USB_XHCI=n USB_UAS=n SDCARD=n TCGBIOS=n MPT_SCSI=n NVME=n USE_SMM=n VGAHOOKS=n)
 build/bios-256k.bin:
-	$(call build-bios,bios,QEMU=y ROM_SIZE=256)
+	$(call build-bios,bios,QEMU=y ROM_SIZE=256 ATA_DMA=y)
 
 # upstream ships .hex files in tarball, result of iasl compilation
 # ensure it is actually built during build
@@ -54,9 +54,8 @@
 # .version comes in upstream tarball, and .git should not be there
 	[ ! -d .git ] || { echo "Directory .git exists, aborting" >&2; exit 1; }
 	[ -f .version ] || echo ${DEB_VERSION} | sed 's/-.*//' > .version
-# move out shipped .hex files and rebuild them
-	mkdir -p build/src/fw
-	for f in ${FW_FILES}; do [ -f $$f.sav -o ! -f $$f ] || mv $$f $$f.sav; done
+	mkdir -p build
+# remove out shipped .hex files (iasl-compiled .dsl)
 	rm -f ${FW_FILES}
 	make OUT=build/ ${FW_FILES}
 	touch $@
