## seabios 1.13.0

=== debian/changelog ===
seabios (1.13.0-1ubuntu1.1) focal; urgency=medium

  * d/p/lp-1908512-vga-fix-cirrus-bios.patch: fix boot with cirrus
    (LP: #1908512)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 05 Jan 2021 09:52:28 +0100

seabios (1.13.0-1ubuntu1) focal; urgency=medium

  * d/p/lp-1866870-build-use-fcf-protection-none-when-available.patch
    fix breakage on older chips due to fcf-protection (LP: #1866870)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Mar 2020 13:10:10 +0100

seabios (1.13.0-1) unstable; urgency=medium

  * new upstream release 1.13.0 (Closes: #931346)
  * remove generated .hex files in clean, regenerate them properly
  * build vgabios-ati and vgabios-bochs-display
  * disable ATA_DMA (Closes: #934134)
  * priority "extra" is replaced by "optional"
  * Std-Version: 4.4.1 (no changes needed)
  * switch to python3 (Closes: #938457)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 12 Dec 2019 19:51:50 +0300
