=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: seabios
 Section: misc
-Priority: extra
-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>,
 	Riku Voipio <riku.voipio@iki.fi>,
 	Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>= 9), python, acpica-tools | iasl
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), python3, acpica-tools | iasl
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qemu-team/seabios
 Vcs-Git: https://salsa.debian.org/qemu-team/seabios.git
 Homepage: http://www.seabios.org
